﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.Generic;

namespace CheckAllHeaderSample1
{
   static public class ReadSampleData
   {

      static public IList GenerateTestData(out List<string> oColNames)
      {
         oColNames = new List<string>();

         for (int i = 0; i < 10; i++)
            oColNames.Add(string.Format("Column{0}", i));
         
         List<List<string>> oRecords = new List<List<string>>(10);

         for (int i = 0; i < 10; i++)
         {
            List<string> oRecord = new List<string>();

            for (int nColId = 0; nColId < oColNames.Count; nColId++)
            {
               oRecord.Add(string.Format("Value {0}, {1}", i, nColId));
            }

            oRecords.Add(oRecord);
         }

         return oRecords as IList;
      }

   }
}
